org.jbpm.services.task.commands

## Class AddCommentCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Long>
    - - org.jbpm.services.task.commands.AddCommentCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<Long>, org.kie.api.command.Command<Long>

      public class AddCommentCommand
      extends UserGroupCallbackTaskCommand<Long>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddCommentCommand()`
    `AddCommentCommand(Long taskId, org.kie.api.task.model.Comment comment)`
    `AddCommentCommand(Long taskId, String userId, String text)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `execute(org.kie.api.runtime.Context cntxt)`
    `org.kie.api.task.model.Comment` | `getComment()`
    `JaxbComment` | `getJaxbComment()`
    `void` | `setComment(org.kie.api.task.model.Comment comment)`
    `void` | `setJaxbComment(JaxbComment jaxbComment)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### AddCommentCommand

          public AddCommentCommand()

    - #### AddCommentCommand

          public AddCommentCommand(Long taskId,
                                   org.kie.api.task.model.Comment comment)

    - #### AddCommentCommand

          public AddCommentCommand(Long taskId,
                                   String userId,
                                   String text)

  - ### Method Detail

    - #### getComment

          public org.kie.api.task.model.Comment getComment()

    - #### setComment

          public void setComment(org.kie.api.task.model.Comment comment)

    - #### getJaxbComment

          public JaxbComment getJaxbComment()

    - #### setJaxbComment

          public void setJaxbComment(JaxbComment jaxbComment)

    - #### execute

          public Long execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<Long>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Long>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.